Bug 242839 - Cant connect with NetworkManager while using Ndiswrapper
Cant connect with NetworkManager while using Ndiswrapper
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 23:40 EDT by Steve Butler
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: ndiswrapper-1.46-1.lvn7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-10 23:59:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
syslog networkmanager cutting (5.34 KB, text/plain)
2007-06-08 11:57 EDT, Martin Jürgens
no flags Details

  None (edit)
Description Steve Butler 2007-06-05 23:40:23 EDT
Description of problem: I cant associate with any AP using the ndiswrapper
driver. It will attepmt to connect then time out


Version-Release number of selected component (if applicable):
NetworkManager-0.6.5-3.fc7

How reproducible:
it never works. So, highly reproducable


Steps to Reproduce:
1. install/configure ndiswrapper
2. test to make sure card/driver work
3. use NetworkManager to connect to a network. 
4. it times out and fails
  
Actual results:
wont connect

Expected results:
it connects. 

Additional info:
Comment 1 Jonathan Steffan 2007-06-05 23:42:11 EDT
I also have this issue.
Comment 2 Daniel Moree 2007-06-06 14:52:03 EDT
Same here, I've also experienced this same thing with the BCM43xx_mac80211
module with my Broadcom card. Have tested this using the BCM43xx_mac80211 module
with an intel wireless card and Network manager works fine. Seems isolated to
ndiswrapper and broadcom cards on bcm43xx_mac80211
Comment 3 Martin Jürgens 2007-06-08 11:57:03 EDT
Created attachment 156586 [details]
syslog networkmanager cutting

Same problem for me using bcm43xx_mac80211 and ndiswrapper.

bcm43xx_mac80211 syslog NetworkManager cutting attached.
Comment 4 Klaus Möllenhoff 2007-06-08 19:58:48 EDT
same problems here... 
i also have a bcm4318 chip.. with fc6 everything worked fine with ndiswrapper
Comment 5 Klaus Möllenhoff 2007-06-10 05:54:45 EDT
with new ndiswrapper from livna it works
Comment 6 Martin Jürgens 2007-06-10 06:37:42 EDT
great! maybe the bcm43xx-mac80211 issue is a driver problem, also and we shall
report a bug against the kernel.

i, personally, can't connect with wlassistant, either.
Comment 7 Daniel Moree 2007-06-10 12:47:17 EDT
I will confirm what Klaus said. I have downloaded the latest update of
ndiswrapper from livna, previously v1.43, now v1.46, does work with Network Manager.

Note You need to log in before you can comment on or make changes to this bug.